CLOSEALL(3)

NAME
closeall - close all files

SYNOPSIS
closeall(leavestd)
int leavestd;

DESCRIPTION
Closeall closes all currently-open file descriptors. If leavestd is non-zero, the standard input, output, and diagnostic descriptors are left open; otherwise they are closed too.

SEE ALSO
close(2), standard(3)

HISTORY
Local invention.

BUGS
Nothing wrong with closeall, but there ought to be an fcloseall.